import '../../../../../food_delivery_client.dart';

class BasketPage extends StatelessWidget {
  const BasketPage({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocProvider(
      create: (context) => sl<BasketBloc>()..add(BasketEvent.started()),
      child: BlocBuilder<BasketBloc, BasketState>(
        builder: (context, state) {
          return WLayout(child: Scaffold(body: WBasketBody()));
        },
      ),
    );
  }
}
